最新消息:走过的,离开的,已经错过,新开始2016

Python2.7安装Pyinstaller

技术随笔 果果 626浏览 0评论

由于生产环境都是使用古老的python2.7,所以经常要调教,最近折腾安装这Pyinstaller,直接打包成exe就不用每台安装模块,头疼啊,很多模块最新版已经不支持2.7,于是pip安装都是报错。

折腾了很久,记录下来。

没有pip或者古老版本请先更新一下,虽然最新版也就到20.0.

下载更新安装脚本 https://bootstrap.pypa.io/pip/2.7/get-pip.py

python get-pip_2.py
pip install pypiwin32
pip install wheel
pip install pefile==2019.4.18
pip install PyInstaller==3.4

官方说的3.6是最后一个支持python2.7版本,但是安装后win10 x64编译出来的在win2008 x64上跑不了,提示说vs库问题,但安装3.4就一切正常。
肯爹!!如果能升级python3,尽量升级吧。

转载请注明:果果.IT » Python2.7安装Pyinstaller

发表我的评论
取消评论

表情

Hi,您需要填写昵称和邮箱!

  • 昵称 (必填)
  • 邮箱 (必填)
  • 网址